# Filtre_Tag_Libre

## Props

<!-- @vuese:Filtre_Tag_Libre:props:start -->
|Name|Description|Type|Required|Default|
|---|---|---|---|---|
|filtreChoisi|permet de déterminer si on est en mode tag_libre ou tag_fixe|—|`false`|-|
|auteur|l'auteur en cours|—|`false`|-|
|darktheme|Signal d'activation ou non du theme sombre|—|`false`|-|
|modeGestion|Est-on en mode gestion ou en mode filtre|—|`false`|-|

<!-- @vuese:Filtre_Tag_Libre:props:end -->


## Events

<!-- @vuese:Filtre_Tag_Libre:events:start -->
|Event Name|Description|Parameters|
|---|---|---|
|creer_filtre|-|-|

<!-- @vuese:Filtre_Tag_Libre:events:end -->


## Methods

<!-- @vuese:Filtre_Tag_Libre:methods:start -->
|Method|Description|Parameters|
|---|---|---|
|naviguer|permet l'activation / desactivation des échelons de tag si le span n'est pas navigable, ne rien faire|-|
|supprimerTagLibre|suppression (définitive) d'un tag libre|-|
|ajouterTagLibre|affichage de la saisie du nouveau tag|-|
|creerTagLibre|ajout (permanent) d'un tag libre (echelon 1)|-|
|creerTagLibreEchelon|ajout (permanent) d'un tag libre (echelon 2 et supérieurs)|-|
|masquerTagLibre|masquage de la zone de saisie d'un nouveau tag|-|
|keymonitor|masquage de la zone de saisie d'un nouveau tag après input clavier|-|
|affichageFiltreDeux|raffinage de l'affichage des filtres de niveau 2|-|
|affichageFiltreTrois|raffinage de l'affichage des filtres de niveau 3|-|
|affichageFiltreQuatre|raffinage de l'affichage des filtres de niveau 4|-|
|filtresNiveauDeux|fonction permettant l'extraction des sous filtres de niveau 2 (en fct du filtre en cours)|-|
|filtresNiveauTrois|fonction permettant l'extraction des sous filtres de niveau 3 (en fct du filtre en cours)|-|
|filtresNiveauQuatre|fonction permettant l'extraction des sous filtres de niveau 4 (en fct du filtre en cours)|-|
|isSousEmbranchement|Permet de déterminer si un filtre libre possède des "sous embranchements" ou non|-|

<!-- @vuese:Filtre_Tag_Libre:methods:end -->


## Computed

<!-- @vuese:Filtre_Tag_Libre:computed:start -->
|Computed|Type|Description|From Store|
|---|---|---|---|
|filtresNiveauUn|-|permet de selectionner les tags d'échelon 1 ("racine")|No|

<!-- @vuese:Filtre_Tag_Libre:computed:end -->


## Watch

<!-- @vuese:Filtre_Tag_Libre:watch:start -->
|Name|Description|Parameters|
|---|---|---|
|filtreChoisi|Des que le filtre tag libre est choisi, on récupère les tags libres de l'auteur|-|

<!-- @vuese:Filtre_Tag_Libre:watch:end -->


