# Modifier_Contenu

## Props

<!-- @vuese:Modifier_Contenu:props:start -->
|Name|Description|Type|Required|Default|
|---|---|---|---|---|
|texteDuContenu|le texte du contenu cliqué|—|`false`|-|
|auteur|l'auteur qui effectue la modification (l'auteur du contenu en cours)|—|`false`|-|
|contenuCliqueProvenance|la provenance (perso, tiers, en-cours)|—|`false`|-|
|contenuCliqueVersion|la version du contenu cliqué|—|`false`|-|
|contenuClique|le contenu clique|—|`false`|-|
|darktheme|Signal d'activation ou non du theme sombre|—|`false`|-|

<!-- @vuese:Modifier_Contenu:props:end -->


## Events

<!-- @vuese:Modifier_Contenu:events:start -->
|Event Name|Description|Parameters|
|---|---|---|
|choixModif|evenement de modification du texte d'un contenu|l'action choisie, ici 'valider' le texte modifié|
|actionContenu|Dès qu'une action est sélectionnée, la renvoie à Volet_Base|action l'action choisie contenu le contenu cliqué le texte associé au contenu (sert potentiellement à rien)|
|majMoyenne|-|-|
|actionTagLibre|-|-|
|chargerTagsLibres|-|-|

<!-- @vuese:Modifier_Contenu:events:end -->


## Methods

<!-- @vuese:Modifier_Contenu:methods:start -->
|Method|Description|Parameters|
|---|---|---|
|action|Gestion de l'action choisie par l'utilisateur : soit valider une modification de l'intérieur du contenu, soit revenir en arrière|-|
|changerVersion|Si on change de version on recharge le texte du contenu|-|
|actionContenu|Dès qu'une action est sélectionnée, la renvoie à Volet_Base|-|
|setRating|Fonction de récupération de la note mise par l'utilisateur|-|
|actionTagLibre|ajout ou suppression d'un tag à destination de Volet_Base|-|
|chargerTagsLibres|Permet de passer le signal pour charger le composant "GererTagsLibres"|-|

<!-- @vuese:Modifier_Contenu:methods:end -->


## Computed

<!-- @vuese:Modifier_Contenu:computed:start -->
|Computed|Type|Description|From Store|
|---|---|---|---|
|calculerNoteContenu|-|Fonction de calcul de la note globale d'un contenu (en fonction de sa version)|No|

<!-- @vuese:Modifier_Contenu:computed:end -->


## Watch

<!-- @vuese:Modifier_Contenu:watch:start -->
|Name|Description|Parameters|
|---|---|---|
|contenuClique|Dès qu'un contenu est chargé on l'analyse pour "habiller" la page|-|
|versionChoisie|Si on change de version on recalcule la note|-|

<!-- @vuese:Modifier_Contenu:watch:end -->


